=== tools/extras/CMakeLists.txt ===
############################################################################
#  tools/extras/CMakeLists.txt
#
#  Part of the STXXL. See http://stxxl.sourceforge.net
#
#  Copyright (C) 2013 Timo Bingmann <tb@panthema.net>
#
#  Distributed under the Boost Software License, Version 1.0.
#  (See accompanying file LICENSE_1_0.txt or copy at
#  http://www.boost.org/LICENSE_1_0.txt)
############################################################################

stxxl_build_extra_tool(benchmark_disk_and_flash)
stxxl_build_extra_tool(iobench_scatter_in_place)
stxxl_build_extra_tool(pq_param)
