=== debian/changelog ===
libstxxl (1.4.0-3) unstable; urgency=medium

  [ Anton Gladky ]
  * [799da84] Add myself to uploaders.
  * [e56aaad] Add autopkgtests.
  * [76dc00f] Simplify debian/rules.
  * [af58c7f] Use wrap-and-sort.

  [ D Haley ]
  * [3d9d2d1] Fix FTBFS for 32 bit via upstream patches (Closes: #75901) 
  * [44d06b0] Relink against system jquery
  * [2618c7f] Remove testing ccache CC/CXX

 -- Anton Gladky <gladk@debian.org>  Sun, 21 Sep 2014 10:39:51 +0200

libstxxl (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * [f08e83e] Revert unstable back to experimental.
  * [1042133] Set canonical VCS-field.
  * [9deb646] Set Standards-Version: 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Thu, 28 Aug 2014 21:57:17 +0200

libstxxl (1.4.0-1) experimental; urgency=low

  * Update to new upstream

 -- D Haley <mycae@gmx.com>  Sun, 15 Dec 2013 23:44:00 +0100
