=== debian/control ===
Source: libstxxl
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 D Haley <mycae@gmx.com>,
 Anton Gladky <gladk@debian.org>
Vcs-Git: git://anonscm.debian.org/debian-science/packages/libstxxl1.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libstxxl1.git
Build-Depends:
 cmake,
 debhelper (>= 9),
 doxygen,
 doxygen-latex,
 ghostscript,
 graphviz,
 texlive-fonts-extra,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://stxxl.sourceforge.net

Package: libstxxl-dev
Section: libdevel
Priority: extra
Depends:
 libstxxl1 (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 libstxxl-doc
Architecture: any
Description: Development libraries for STXXL
 STXXL provides an STL replacement using an abstraction layer to
 storage devices to allow for the optimal layout of data structures. This
 allows for multi-terabyte datasets to be held and manipulated in standard
 C++ data structures, whilst abstracting the complexity of managing this
 behaviour efficiently. STXXL utilises multi-disk I/O to speed up
 I/O bound calculations. STXXL has been developed at the University
 of Karlsruhe.
 .
 Development libraries for STXXL, required for building programs that
 utilise the STXXL library

Package: libstxxl-doc
Section: doc
Priority: extra
Depends:
 ${misc:Depends}, libjs-jquery
Architecture: all
Description: Documentation for STXXL
 STXXL provides an STL replacement using an abstraction layer to
 storage devices to allow for the optimal layout of data structures. This
 allows for multi-terabyte datasets to be held and manipulated in standard
 C++ data structures, whilst abstracting the complexity of managing this
 behaviour efficiently. STXXL utilises multi-disk I/O to speed up
 I/O bound calculations. STXXL has been developed at the University
 of Karlsruhe.
 .
 Documentation for the STXXL library.

Package: libstxxl1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: C++ Standard Template Library for extra large datasets
 STXXL provides an STL replacement using an abstraction layer to
 storage devices to allow for the optimal layout of data structures. This
 allows for multi-terabyte datasets to be held and manipulated in standard
 C++ data structures, whilst abstracting the complexity of managing this
 behaviour efficiently. STXXL utilises multi-disk I/O to speed up
 I/O bound calculations. STXXL has been developed at the University
 of Karlsruhe.

Package: libstxxl1-bin
Section: misc
Priority: extra
Depends:
 libstxxl1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Description: STXXL File creation and benchmark tool
 STXXL provides an STL replacement using an abstraction layer to
 storage devices to allow for the optimal layout of data structures. This
 allows for multi-terabyte datasets to be held and manipulated in standard
 C++ data structures, whilst abstracting the complexity of managing this
 behaviour efficiently. STXXL utilises multi-disk I/O to speed up
 I/O bound calculations. STXXL has been developed at the University
 of Karlsruhe.
 .
 A benchmarking tool and STXXL on-disk file administration utility

Package: libstxxl1-dbg
Section: debug
Priority: extra
Depends:
 libstxxl1 (= ${binary:Version}),
 ${misc:Depends}
Architecture: any
Description: Debugging symbols for STXXL libraries
 STXXL provides an STL replacement using an abstraction layer to
 storage devices to allow for the optimal layout of data structures. This
 allows for multi-terabyte datasets to be held and manipulated in standard
 C++ data structures, whilst abstracting the complexity of managing this
 behaviour efficiently. STXXL utilises multi-disk I/O to speed up
 I/O bound calculations. STXXL has been developed at the University
 of Karlsruhe.
 .
 Debugging symbols for STXXL, required for debugging programs that
 utilise the STXXL library
